cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/toggle_notifications_from_subaccount \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 9995,
"method": "private/toggle_notifications_from_subaccount",
"params": {
"sid": 7,
"state": true
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/toggle_notifications_from_subaccount"
payload = {
"jsonrpc": "2.0",
"id": 9995,
"method": "private/toggle_notifications_from_subaccount",
"params": {
"sid": 7,
"state": True
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 9995,
method: 'private/toggle_notifications_from_subaccount',
params: {sid: 7, state: true}
})
};
fetch('https://test.deribit.com/api/v2/private/toggle_notifications_from_subaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Account Management
private/toggle_notifications_from_subaccount
Enables or disables email and other notifications for a subaccount. When notifications are disabled, the subaccount will not receive email alerts, trade confirmations, or other notification messages.
This setting only affects notifications sent to the subaccountโs email address. Notifications sent to the main account are not affected.
๐ Related Article: Managing Subaccounts
Scope: account:read_write
cURL
Query Parameters
The user id for the subaccount
Example:
7
enable (true) or disable (false) notifications
Example:
true
Was this page helpful?
โI